OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.AMD.VertexShaderTessellator

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetAMDVertexShaderTessellator :: MonadIO m => m Bool
- gl_AMD_vertex_shader_tessellator :: Bool
- pattern GL_CONTINUOUS_AMD :: GLenum
- pattern GL_DISCRETE_AMD :: GLenum
- pattern GL_INT_SAMPLER_BUFFER_AMD :: GLenum
- pattern GL_SAMPLER_BUFFER_AMD :: GLenum
- pattern GL_TESSELLATION_FACTOR_AMD :: GLenum
- pattern GL_TESSELLATION_MODE_AMD :: GLenum
- pattern GL_UNSIGNED_INT_SAMPLER_BUFFER_AMD :: GLenum
- glTessellationFactorAMD :: MonadIO m => GLfloat -> m ()
- glTessellationModeAMD :: MonadIO m => GLenum -> m ()

# Extension Support

glGetAMDVertexShaderTessellator :: MonadIO m => m Bool Source #

Is the AMD_vertex_shader_tessellator extension supported?

gl_AMD_vertex_shader_tessellator :: Bool Source #

Is the AMD_vertex_shader_tessellator extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetAMDVertexShaderTessellator` in those cases instead.

# Enums

pattern GL_CONTINUOUS_AMD :: GLenum Source #

pattern GL_DISCRETE_AMD :: GLenum Source #

pattern GL_INT_SAMPLER_BUFFER_AMD :: GLenum Source #

pattern GL_SAMPLER_BUFFER_AMD :: GLenum Source #

pattern GL_TESSELLATION_FACTOR_AMD :: GLenum Source #

pattern GL_TESSELLATION_MODE_AMD :: GLenum Source #

pattern GL_UNSIGNED_INT_SAMPLER_BUFFER_AMD :: GLenum Source #

# Functions

glTessellationFactorAMD Source #

Arguments

:: MonadIO m |
=> GLfloat | `factor`.
-> m () |

glTessellationModeAMD Source #

Arguments

:: MonadIO m |
=> GLenum | `mode`.
-> m () |